monodocs2html(1)

NAME
monodocs2html - Translate Monodoc XML to HTML

SYNOPSIS
monodocs2html -source:SOURCE_DIR -dest:DEST_DIR [OPTIONS]*

OPTIONS

-dest:DEST_DIR
    Write the HTML files into the directory DEST_DIR .

-dumptemplate
    Dump the default page template to standard output so that you can use it as a base for a new template for use with the -template option.

-ext:FILE_EXTENSION
    FILE_EXTENSION is the file extension for generated files.

    This defaults to html .

-?, -help
    Show program argument information.

-onlytype:TYPE
    Only generate HTML for the type TYPE .

-source:SOURCE_DIR
    SOURCE_DIR is the base directory containing the Monodoc XML documentation.

    This directory should contain an index.xml file, the namespace-name.xml files (one for each namespace), and namespace-name directories (one for each namespace), which will contain the type.xml files holding the monodoc documentation.

-template:TEMPLATE
    Generate HTML using the page template TEMPLATE .

-V, -version
    Display version and licensing information.

DESCRIPTION
monodocs2html is a program that creates HTML documentation from the Monodoc documentation XML files.

TEMPLATE FORMAT
The template file is an XSLT which needs to process the following input XML document:
	<Page>
	  <CollectionTitle>Collection Title</CollectionTitle>
	  <PageTitle>Page Title</PageTitle>
	  <Summary>Page Summary</Summary>
	  <Signature>Type Declaration</Signature>
	  <Remarks>Type Remarks</Remarks>
	  <Members>Type Members</Members>
	  <Copyright>Documentation Copyright</Copyright>
	</Page>
The generated HTML also makes use of the following CSS classes, which should be defined so that output is nicely formatted:

    .CollectionTitle

    .PageTitle

    .Summary

    .Signature

    .Remarks

    .Members

    .Copyright

    .Section

    .SectionBox

    .NamespaceName

    .NamespaceSummary

    .MemberName

    .MemberSignature

    .MemberBox

    .Subsection

    .SubsectionBox

    .SignatureTable

    .EnumerationsTable

    .CodeExampleTable

    .MembersListing

    .TypesListing

    .InnerSignatureTable

    .TypePermissionsTable

HTML LINKS
All members within the HTML file have a id attribute to permit linking to a specific member. The value of the id attribute is the String ID of the specified member. See the STRING ID FORMAT section of the monodocer man page for more information.

MAILING LISTS

Visit http://lists.ximian.com/mailman/listinfo/mono-docs-list for details.

WEB SITE
Visit http://www.mono-project.com for details